@echo off

goto cvxbuild

if "%1"=="" goto USAGE

if "%1"=="0" goto GDBBUILD

if "%1"=="1" GOTO CVXBUILD

:USAGE
echo.
echo.
echo.  Usage : build OPTION
echo.
echo.  OPTION
echo.  0: to build *.gdb
echo.  1: to build *.cvx
echo.
goto EXIT



:CVXBUILD

echo on

del .\obj\*.obj

m68k-cellvic-aout-gcc -O1 -m68000 -fno-common -fomit-frame-pointer ./source/prog.c -DPIXEL_1 -I../cvos/include -I./include -c  -o ./obj/prog.obj
m68k-cellvic-aout-gcc -O1 -m68000 -fno-common -fomit-frame-pointer ./source/seculock.c -DPIXEL_1 -I../cvos/include -I./include -c  -o ./obj/seculock.obj

m68k-cellvic-aout-ld -M -r -c prog.cmd -o prog.x > prog.map

m68k-cellvic-aout-nm -u prog.x

m68k-cellvic-aout-strip --strip-unneeded  prog.x

..\cvos\utils\genhdr .\resource\CVXRES.src ..\cvos\utils\cvxreloc.bin prog.x .\resource\prog.bin .\resource\cvxhdr.src

m68k-cellvic-aout-as -M -o ./obj/cvxhdr.obj ./resource/cvxhdr.src

m68k-cellvic-aout-ld -c hdr.cmd -o cvxhdr.hex -M > hdr.map

..\cvos\utils\hex2bin cvxhdr.hex

..\cvos\utils\gencvx 70000.bin ..\cvos\utils\cvxreloc.bin prog.x .\resource\prog.bin wikiz.cvx

goto EXIT

:GDBBUILD

echo on

del .\obj\*.obj

m68k-cellvic-aout-gcc -g -O1 -m68000 -fno-common -fomit-frame-pointer ./source/prog.c -DPIXEL_1 -I../cvos/include -I./include -c  -o ./obj/prog.obj

..\cvos\utils\genhdr1 .\resource\CVXRES.src .\resource\hdr.src .\resource\res.src .\resource\prog.bin

m68k-cellvic-aout-as -M  -o ./obj/hdr.obj ./resource/hdr.src

m68k-cellvic-aout-as -M  -o ./obj/res.obj ./resource/res.src

m68k-cellvic-aout-ld -M -r -c prog1.cmd -o prog.gdb > prog.map


:EXIT
